/*
 * Copyright (c) 2013-2016 ARM Limited. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * -----------------------------------------------------------------------------
 *
 * $Revision:   V1.0.0
 *
 * Project:     Simple View
 * Title:       main.c
 *
 * -----------------------------------------------------------------------------
 */
 
#include "stdio.h"
#include "EventRecorder.h"              // Keil.ARM Compiler::Compiler:Event Recorder

typedef struct {
  uint32_t hi;
  uint32_t low;
} MyType;

extern MyType mysymbol;
MyType mysymbol;
  
int main(void) {
  uint32_t       i;
  EventRecorderInitialize(EventRecordAll, 1);

  while (1) {
    for( i=0; i<=30; i++ ) {
      printf("The value of i is %d\n", i);
      mysymbol.hi = i*i;
      mysymbol.low = i;
    }
  }
}
